> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryv2beta1searcharchived

> List and search archive libraries in the domain



## OpenAPI

````yaml /openapis/library.json get /library/v2beta1/searchArchived
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v2beta1/searchArchived:
    get:
      tags:
        - library
      description: List and search archive libraries in the domain
      operationId: library:v2beta1.Library.searchArchive
      parameters:
        - $ref: '#/components/parameters/query_query_parameter'
        - $ref: '#/components/parameters/libTypes_query_parameter'
        - $ref: '#/components/parameters/storageAccount_query_parameter'
        - $ref: '#/components/parameters/labelIds_query_parameter'
        - $ref: '#/components/parameters/appMetadataTags_query_parameter'
        - $ref: '#/components/parameters/limit_query_parameter'
        - $ref: '#/components/parameters/requirePreciseResults_query_parameter'
        - $ref: '#/components/parameters/facets_query_parameter'
        - name: include
          in: query
          description: >-
            Set additional information to return (each additional include slows
            the response).

            Available values: STATISTICS (super admin only), LABELS
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - STATISTICS
                - LABELS
        - $ref: '#/components/parameters/pageToken_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiLibrarySearchResultList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiLibrarySearchResultList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    query_query_parameter:
      name: query
      in: query
      description: >-
        Terms to search in the library name (will match word prefixes).

        You can search for exact phrases by quoting the whole parameter
        (example: "exact search" => will search for the whole words 'exact
        search' next to each other).

        You can also use the stemming operator to search for alternative forms
        of the search terms (example: ~"dog eat" => will also search for the
        dogs, eating in any order)
      required: false
      schema:
        type: string
    libTypes_query_parameter:
      name: libTypes
      in: query
      description: Return libraries of these types
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
          enum:
            - DMS
            - SF
            - TF
    storageAccount_query_parameter:
      name: storageAccount
      in: query
      description: Return only libraries of this storage account
      required: false
      schema:
        type: string
    labelIds_query_parameter:
      name: labelIds
      in: query
      description: Return libraries with at least one of these labels
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
    appMetadataTags_query_parameter:
      name: appMetadataTags
      in: query
      description: >-
        Return the libraries with all the provided app metadata tags.

        App metadata tags can be queried at three levels with the following
        syntax: 'appNamespaceId', 'appNamespaceId.tagName' or
        'appNamespaceId.tagName:tagValue'.

        App metadata tags can be excluded by adding a '-' character before the
        tag name ('-appNamespaceId', '-appNamespaceId.tagName' or
        '-appNamespaceId.tagName:tagValue').
      required: false
      explode: true
      schema:
        type: array
        items:
          type: string
    limit_query_parameter:
      name: limit
      in: query
      description: The maximum number of items to return(defaults to 20, max 1000)
      required: false
      schema:
        type: integer
        format: int32
        default: 20
    requirePreciseResults_query_parameter:
      name: requirePreciseResults
      in: query
      description: >-
        Set to true if you need an exact total result count (up to 25000) and
        need to check that the response contains all results (slower results).

        If false, will only return an estimate of the total number of results.
      required: false
      schema:
        type: boolean
        default: false
    facets_query_parameter:
      name: facets
      in: query
      description: >-
        Set to true to enable facet results on library types, storage accounts
        and labels (slower response)
      required: false
      schema:
        type: boolean
        default: false
    pageToken_query_parameter:
      name: pageToken
      in: query
      description: >-
        The token for continuing a previous list request on the next page. This
        should be set to the value of 'nextPageToken' from the previous
        response.
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiLibrarySearchResultList:
      type: object
      properties:
        estimatedResultCount:
          type: boolean
          description: >-
            If true, totalResultCount is an estimate, that might be wrong by a
            large factor but should be the right order of magnitude
        estimatedTaskCount:
          type: boolean
          description: >-
            If true, totalTaskCount is only an estimate of the real task count
            (only present if the query returns task counts)
        facets:
          $ref: '#/components/schemas/ApiFacetResult'
        incompleteResults:
          type: boolean
          description: >-
            Whether this request cannot return all results. If true, either use
            a more precise query, or remove the orderBy parameter
        kind:
          type: string
        libraries:
          type: array
          description: List of libraries matching the search parameters
          items:
            $ref: '#/components/schemas/ApiLibrarySearchResult'
        nextPageToken:
          type: string
          description: >-
            If the search has more results, the value to be passed as
            'pageToken' to get the next page
        totalResultCount:
          type: integer
          format: int32
          description: >-
            Total number of libraries for this search. Might be an estimate,
            check estimatedResultCount as well
        totalTaskCount:
          type: integer
          format: int32
          description: >-
            Total number of tasks for the user. Might be a lower bound, check
            estimatedResultCount as estimatedTaskCount (only present if the
            query returns task counts)
      description: A list of library search results
    ApiFacetResult:
      type: object
      properties:
        estimatedFacetCount:
          type: boolean
          description: Whether the count in the facets are an estimate or not
        labels:
          type: array
          description: >-
            Facets by labels (a library might be in zero to many labels, so
            total might be different than numberFound)
          items:
            $ref: '#/components/schemas/ApiFacetValue_ApiReferenceCatalogValue'
        libraryTypes:
          type: array
          description: Facets by library type
          items:
            $ref: '#/components/schemas/ApiFacetValue_ApiLibraryType'
        storageAccounts:
          type: array
          description: Facets by storage account
          items:
            $ref: '#/components/schemas/ApiFacetValue_String'
      description: The facets associated with the current library search result
    ApiLibrarySearchResult:
      type: object
      properties:
        appMetadata:
          type: object
          description: App metadata of the library.
          additionalProperties:
            $ref: '#/components/schemas/ApiNamespacedAppMetadata'
        currentUserRole:
          type: string
          description: Permission of the current user on the library.
          enum:
            - NONE
            - READER
            - COMMENTER
            - PROPERTY_EDITOR
            - ATTACHMENT_EDITOR
            - WRITER
            - ADMIN
            - SUPER_ADMIN
        favorite:
          type: boolean
          description: >-
            Whether the library is favorited by the current user. Requires
            include parameter to contain IS_FAVORITE.
        folderVisibility:
          type: string
          description: Visibility of the folders of this library in Drive.
          enum:
            - PRIVATE
            - PUBLIC
            - PUBLICLY_EDITABLE
        hidden:
          type: boolean
          description: Whether the library is hidden from the current user in listings.
        id:
          type: string
          description: Id of the library
        kind:
          type: string
        labels:
          type: array
          description: >-
            Labels for the library. Requires include parameter to contain
            LABELS.
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogValue'
        lastAccessed:
          type: integer
          format: int64
          description: >-
            Last access date for the library (null if never accessed). Requires
            include parameter to contain LAST_ACCESSED.
        libraryType:
          type: string
          description: Type of library (DMS, SF or TF)
          enum:
            - DMS
            - SF
            - TF
        logoUrl:
          type: string
          description: Url of the logo of the library. Empty if the logo is not customized.
        name:
          type: string
          description: Name of the library.
        objectStorageLocation:
          type: string
          description: >-
            Location of the bucket to store attachments, either a customer owned
            bucket or a AODocs owned bucket(AODOCS_MANAGED)
        onlyAdminsCanManageFolders:
          type: boolean
          description: Whether only administrators can edit the folders of this library.
        redirectUrl:
          type: string
          description: Redirect url of the library (absent if not set by an administrator).
        rootFolderId:
          type: string
          description: Id of the root folder of the library.
        statistics:
          $ref: '#/components/schemas/ApiStatistics'
        storageAccount:
          type: string
          description: Storage account of the library (email address).
        superAdminRole:
          type: string
          description: >-
            Permission as a super-admin on the library. Is absent for non-super
            admins.
          enum:
            - NONE
            - READER
            - COMMENTER
            - PROPERTY_EDITOR
            - ATTACHMENT_EDITOR
            - WRITER
            - ADMIN
            - SUPER_ADMIN
        taskCount:
          $ref: '#/components/schemas/ApiWorkflowTasksCountByLibrary'
      description: A library search result
    ApiFacetValue_ApiReferenceCatalogValue:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Facet count
        value:
          $ref: '#/components/schemas/ApiReferenceCatalogValue'
      description: The value of a specific facet
    ApiFacetValue_ApiLibraryType:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Facet count
        value:
          type: string
          description: Facet value
          enum:
            - DMS
            - SF
            - TF
      description: The value of a specific facet
    ApiFacetValue_String:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Facet count
        value:
          type: string
          description: Facet value
      description: The value of a specific facet
    ApiNamespacedAppMetadata:
      type: object
      properties:
        appNamespaceId:
          type: string
          description: The id of the app namespace (read-only)
        kind:
          type: string
        tags:
          type: array
          description: The list of tags (name/value) in the namespace (limited to 10 items)
          items:
            $ref: '#/components/schemas/ApiAppMetadataTag'
    ApiReferenceCatalogValue:
      type: object
      properties:
        createdAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was created
            (read-only field)
        deleted:
          type: boolean
          description: Whether the catalog value should be marked as deleted
        id:
          type: string
          description: The ID of the reference catalog value
        kind:
          type: string
        lastModifiedAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog value was last modified
            (read-only field)
        leaf:
          type: boolean
          description: Whether the value has children values (read-only field)
        level:
          type: integer
          format: int32
          description: >-
            The level of the reference catalog value in the hieararchical
            structure. Level 0 is the first level that has no ancestors
            (read-only field)
        name:
          type: string
          description: The name of the reference catalog value
        parent:
          type: string
          description: The id of the parent of the reference catalog value
        parentIds:
          type: array
          description: >-
            The id's of the ancestors of the reference catalog value (read-only
            field)
          items:
            type: string
        rank:
          type: integer
          format: int32
          description: >-
            Rank of the reference catalog value used for sorting, accepting
            positive integers only
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog (read-only field)
    ApiStatistics:
      type: object
      properties:
        attachmentsCount:
          type: integer
          format: int32
        classesCount:
          type: integer
          format: int32
        createdTime:
          type: string
          format: date-time
        customScriptsCount:
          type: integer
          format: int32
        documentsCount:
          type: integer
          format: int32
        estimatedSubscriptionsCount:
          type: integer
          format: int32
        foldersCount:
          type: integer
          format: int32
        id:
          type: string
        kind:
          type: string
        lastModifiedTime:
          type: string
          format: date-time
        librariesCount:
          type: integer
          format: int32
        librariesCountPerType:
          type: object
          additionalProperties:
            type: integer
            format: int32
        licensedUsersCount:
          type: integer
          format: int32
        metadatasCount:
          type: integer
          format: int32
        publiclyShared:
          type: string
        quotaUsageInDrive:
          type: integer
          format: int32
        quotaUsageInDrivePerStorageAccount:
          type: object
          additionalProperties:
            type: integer
            format: int32
        relationsCount:
          type: integer
          format: int32
        usersCount:
          type: integer
          format: int32
        versionsCount:
          type: integer
          format: int32
        viewsCount:
          type: integer
          format: int32
        workflowStatesCount:
          type: integer
          format: int32
        workflowsCount:
          type: integer
          format: int32
    ApiWorkflowTasksCountByLibrary:
      type: object
      properties:
        count:
          type: integer
          format: int64
        countByWorkflows:
          type: array
          items:
            $ref: '#/components/schemas/ApiWorkflowTasksCountByWorkflow'
        id:
          type: string
        kind:
          type: string
        libraryType:
          type: string
          enum:
            - DMS
            - SF
            - TF
        name:
          type: string
    ApiAppMetadataTag:
      type: object
      properties:
        kind:
          type: string
        name:
          type: string
          description: The name of the tag
        stringValue:
          type: string
          description: The value of the tag as a String
    ApiWorkflowTasksCountByWorkflow:
      type: object
      properties:
        classId:
          type: string
        count:
          type: integer
          format: int64
        countByStates:
          type: array
          items:
            $ref: '#/components/schemas/ApiWorkflowTasksCountByState'
        id:
          type: string
        kind:
          type: string
        name:
          type: string
    ApiWorkflowTasksCountByState:
      type: object
      properties:
        count:
          type: integer
          format: int64
        id:
          type: string
        kind:
          type: string
        name:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````